%ext ck5
%version 1.4
# Load the modified graphics
%egahead EGAHEAD.CK5
%patchfile $25B22 keen5.tli 
%maphead maphead.ck5
%gamemaps editmaps.ck5



########################
# Shikadi Mine = sound #
########################
%patch $32948 $017AW $017AW $0001W $0000W $0000W $0014W $0000W $0000W
              $11C4036ARL   $00000000L    $090B17B5RL   $2608W 

#new mine sit code =play sound
%patch $11FAA $55 $8B $EC $B8 $0005W  $50 $9A $196E09EFRL     $83 $C4 $02
             $5D $CB


########
# Keen #
########
#Keen doesn't use special 'stand on Platforms' action
%patch $AE2D $EB
%patch $AF6F $EB

%patch $5CA1 $6F56W $0000W #Ammo (0)
#%patch $DC9D $EB $12 #Keen can always shoot, don't lose ammo

#Ignore elevators entirely (Don't place their starts in map level, or take notice of when fuse levels are done OR keen's map pos
%patch $F431 $90 $90

%patch $30C3E $0888W #no boring animation


#Don't lose V card on starting a level
%patch $6A2B $EB $04

#Rewrite HandleInput to take not pogo without Keycard
%patch $8ABF $3B
%patch $8AB8 $42
%patch $8AF1 $75 $06 $C7 $06 $BC27W  $0000W  $5D $CB $83 $3E $BC37W  $00 $75
             $0A $83 $3E $332CW  $00 $75 $03 $E9 $008BW  $83 $3E $9E2EW  $00
             $74 $1D $83 $3E $9E30W  $00 $74 $16 $C7 $06 $BC29W  $0001W  $33
             $C0 $A3 $BC2BW  $A3 $BC2FW  $A3 $BC2DW  $A3 $BC31W  $5D $CB $33
             $C0 $A3 $BC27W  $A3 $BC29W  $83 $3E $9E2EW  $00 $74 $08 $C7 $06
             $BC31W  $0001W  $EB $08 $33 $C0 $A3 $BC2FW  $A3 $BC31W  $83 $3E
             $9E30W  $00 $74 $22 $83 $3E $6F5AW  $00 $74 $19 $83 $3E $9E59W
             $08 $7F $0C $A1 $9E59W  $03 $06 $9BB4W  $A3 $9E59W  $5D $CB $C7
             $06 $BC2DW  $0001W  $5D $CB $83 $3E $9E59W  $00 $74 $08 $C7 $06
             $BC2DW  $0001W  $EB $08 $33 $C0 $A3 $BC2BW  $A3 $BC2DW  $C7 $06
             $9E59w  $0000W  $5D $CB $A1 $9E2EW  $A3 $BC31W  $A1 $9E30W  $83
             $3E $6F5AW  $00 $74 $03 $A3 $BC2DW  $A0 $38 $03 $B4 $00 $D1 $E0
             $8B $D8 $8B $87 $BCAFW  $A3 $BC29W  $33 $C0 $83 $3E $BC31W  $00
             $75 $03 $A3 $BC2FW  $83 $3E $BC2DW  $00 $75 $03 $A3 $BC2BW  $83
             $3E $BC29W  $00 $75 $03 $A3 $BC27W  $5D $CB


#1Up Tile is now Ice => Keen slides
%patch $C58B $1A1BW
%patch $C50B $81 $7C $1C $0888W  $75 $05 $C7 $44 $1C $0F72W  $EB $18

#########
# Items #
#########


%patch $32754 $23BCW ##Smashed Slicestar not Vanish

%patch $C3E3 $19DCW #Vitalin got 1
%patch $3160E $11     
%patch $C373 $11     #Get Vitalin sound


#Volte-Face 1 = Battery
%patch $3200C $01A1W $01A1W $0001W $0000W $0000W $0014W $0000W $0000W
              $00000000L   $11C40456RL    $090B17B5RL   $1CEAW 

#Volte-Face 2
%patch $3202A $01A2W $01A2W $0001W $0000W $0000W $0014W $0000W $0000W
              $00000000L   $11C40456RL    $090B17B5RL   $1CCCW


%patch $12AB2 $0000W #Shikadi Master Spawn height

%patch $31A2E $0181W #Master cache start
%patch $31A82 $0182W #Cache end

#Shikadi Master 1= Schnaps
%patch $32E34 $0181W $0181W $0001W $0000W $0000W $0014W $0000W $0000W
              $00000000L   $11C40456RL   $090B17B5RL   $2B12W 

#Shikadi Master 2
%patch $32E52 $0182W $0182W $0001W $0000W $0000W $0014W $0000W $0000W
              $00000000L   $11C40456RL  $090B17B5RL   $2AF4W


#Shikadi MAster 3= item vanish
%patch $32E70 $01A5W $01A5W $0001W $0000W $0000W $0001W $0000W $0000W
              $00000000L   $00000000L    $00000000L   $0000W

#New Fragment collision -> vanish
%patch $12096	 $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $75 $14 $9A $0AAF046DRL
              $B8 $2B30W  $50 $FF $76 $06 $9A $090B1242RL    $83 $C4 $04
              $5E $5D $CB

###########################
# Spindred - Falling Rock #
###########################

#Spindred foreground variable
%patch $128BB $0001W

#Spindred sprite type
%patch $128B1 $0006W

#Cache
%patch $31A9A $01A8W #Spindred Cache end,only 1frame

#Spindred has Volte-Face Collision. Shot Volte-Face becomes Spindred2
%patch $10DE0 $2A9AW



%patch $32DBC $01A8W $01A8W $0001W $0000W $0000W $0000W $0000W $0000W
              $00000000L    $0F92149DRL $090B17B5RL   $2A7CW

%patch $32DDA $01A8W $01A8W $0003W $0000W $0000W $0000W $0000W $0000W
              $090B1710RL    $00000000L $0F920119RL   $2A9AW
######################
# Ampton - Cave Garg #
######################
#Sounds
%patch $112DB $EB     #Don't play Little Ampton walk sound 1
%patch $112F0 $EB     #Don't play Little Ampton walk sound 2


#spawn hight
%patch $11290 $FD60W #1/2 tile up

#Animations
#Ampton flip switch

%patch $32648 $0199W $0199W
%patch $32652 $000CW        #Animation speed

%patch $32666 $019BW $019BW
%patch $32670 $0020W        #Animation speed

%patch $32684 $019AW $019AW
%patch $3268E $0020W        #Animation speed

%patch $326A2 $019BW $019BW
%patch $326AC $0020W        #Animation speed

%patch $326C0 $019AW $019AW
%patch $326CA $0020W        #Animation speed

%patch $326DC $2254W

#Ampton takes 5 hits to kill (By Lemm)
%patch $11635 $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $09
              $9A $0AAF1517RL     $5F $5E $5D $CB
                                                  $83 $3D $03 $75 $F7 $FF $4C #New Stuff STarts here
              $40 $83 $7C $40 $FB $7F $1B $B8 $16 $00 $50 $9A $196E09EFRL     #Hits = 5 ($FB)
              $44 $44 $B8 $9E $23 $50 $57 $56 $9A $090B16CDRL     $83 $C4 $06 #Change sound to 16
              $EB $D3 $C7 $44 $42 $01 $00 $57 $9A $0CCB10B3RL     $44 $44 $EB
              $EF
%patch $1170D $EA $11C415CDRL

#################################
# Shockshund Vorticon Commander #
#################################

#Shot Animation
%patch $33302 $0192W $0192W

#Shocksund's shot same sprite
%patch $33300 $2FA4W


#smash
%patch $33320 $0192W $0192W
%patch $3333E $0192W $0192W

#Shocksund strength -99
%patch $1328A $0063W

#Shocksund's collision -now includes Spindred =$11C40CDBRL
%patch $1291B $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $05
              $9A $0AAF1517RL

                                  $83 $3D $03 $75 $38 $FF $4C $40 $75 $1C $C7
              $44 $16 $0000W  $C7 $44 $18 $0000W  $B8 $301CW  $50 $57 $56 $9A
              $090B16CDRL     $83 $C4 $06 $5F $5E $5D $CB
                                                          $C7 $44 $42 $0002W
              $C7 $44 $04 $0001W  $57 $9A $0CCB10B3RL     $83 $C4 $02 $5F $5E
              $5D $CB

                      $81 $7D $1C $2A9AW  $75 $0F $C7 $44 $16 $0000W  $C7 $44
              $18 $0000W  $C7 $44 $1C $301CW  $5F $5E $5D $CB

#Shocsund use new collision -sit
%patch $331EA $11C40CDBRL
%patch $33208 $11C40CDBRL

#Bark
%patch $33226 $11C40CDBRL
%patch $33244 $11C40CDBRL

#Walk
%patch $33262 $11C40CDBRL
%patch $33280 $11C40CDBRL
%patch $3329E $11C40CDBRL
%patch $332BC $11C40CDBRL

#Jump
%patch $332DA $11C40CDBRL

%patch $33374 $00000000L #Stunned



#Tile interaction (do not jumpon edges)
#Sit
%patch $331EE $090B17DCRL #Shocksund
%patch $3320C $090B17DCRL #Shocksund

#Bark
%patch $3322A $090B17DCRL #Shocksund
%patch $33248 $090B17DCRL #Shocksund

#Walk
%patch $33266 $090B17DCRL #Shocksund
%patch $33284 $090B17DCRL #Shocksund
%patch $332A2 $090B17DCRL #Shocksund
%patch $332C0 $090B17DCRL #Shocksund


#Jump frequency
%patch $132C9 $00
%patch $132EF $2ED2W

#Animations
#Shocksund bark
%patch $3321C $0018W        #Animation speed
%patch $3323A $0008W        #Animation speed

#Spawn hight
#Shot Spawn height
%patch $13357 $FFD0W #Vertical

#%patch $126CE $0000W #2 tiles down from sprite top
#%patch $3321C $0020W

##############
# Ice Cannon #
##############

#Shoot smash behaviour
%patch $32202 $11C40783RL #Shikadi Mine explode

#Shikadi Mine fragments collision
%patch $32A6A $00000000L

#Mine fragments animations
%patch $32A56 $00EDW $00EDW
#shot smash animation speed
%patch $321FC $0005W  
%patch $3221A $0005W      

#Ice Cannon Bulletts have only 1 animation
%patch $3217A $00ECW $00ECW $0003W $0000W $0000W $0040W $0000W $0000W
              $090B1748RL   $0F921689RL   $0F9216ACRL   $1E3AW 

#Shots move diagonally upwards
%patch $10F58 $8B $1E $40 $9E $C7 $47 $16 $FFC0W $EB $16 #Left move upwards
              $8B $1E $40 $9E $C7 $47 $18 $0040W $EB $14
              $8B $1E $40 $9E $C7 $47 $16 $0040W $90 $90 #Right moves upwards
              $8B $1E $40 $9E $C7 $47 $18 $FFC0W

#Directions shots are spawned:
%patch $10FA1 $1659W #Up (At $10F79)
              $164EW #Right (At $10F6E)
              $1643W #Down (At $10F63)
              $1638W #Left (At $10F58)

#Shots use transform code
%patch $10FB6 $06B90E68RL

#Custom collision: Transform
%patch $79F6 $EB $5C
%patch $79F8 $55 $8B $EC $83 $3E $BC91W  $00 $75 $2A $B8 $014DW  $50 $FF
             $36 $3E $9E $9A $090B1242RL     $83 $C4 $04 $B8 $0017W  $50 #Stun sound
             $9A $196E09EFRL     $83 $C4 $02 $8B $1E $3E $9E $C7 $47 $18
             $FFD0W  $C7 $47 $16 $0010W  $5D $CB          #Stunned Keen speeds

#Keen stunned action =$0B94W
#%patch $30ED4 $008CW $008CW $0003W $0000W $0000W $0190W $0000W $0000W
#              $090B1710RL   $0AAF1597RL   $090B17B5RL   $0888W

%patch $3048D $008EW $008EW $0003W $0000W $0000W $00A0W $0000W $0000W
              $090B1710RL   $0AAF1597RL   $090B17B5RL   $0900W #Stunned Keen action (Read book type) =$014DW

%patch $30C40 $007FW $007FW $0003W $0000W $0000W $0040W $0000W $0000W
              $090B1710RL   $0AAF1597RL   $090B17B5RL   $0888W #Stunned Keen 2

#Keen can die while stunned
%patch $C021 $90 $90


###############
# Korath Yorp #
###############
%patch $31AA4 $0131W # Korath Cache end two extra sprites

# 3 new Standing animations. From Spirougrip
%patch $334A6 $298CW # normal standing goes to spirogrip spin5

%patch $32CCC $0130W $0130W  $0000W       $0000W $0001W        $001EW       $0000W   $0000W
               $00000000L $11C41D16RL  $090B17DCRL       $29AAW

%patch $32CEA $012EW $012EW  $0000W       $0000W $0001W        $001EW       $0000W   $0000W
               $00000000L $11C41D16RL  $090B17DCRL       $29C8W

%patch $32D08 $0131W $0131W  $0000W       $0000W $0001W        $001EW       $0000W   $0000W
               $00000000L $11C41D16RL  $090B17DCRL       $30D2W


#########################
# Spirogrip =Tank Robot #
#########################
#spawn hight
%patch $127CC $FEEFW #1 tile 2 pixels up

#Robo Red pushes Keen instead of killing him
%patch $12693 $83 $3D $02 $75 $F7 $56 $57 $9A $090B0CD2RL     $EB $EB
#Change other collisions to not kill Keen
%patch $32AA6 $11C40A0DRL #Pause before shooting
%patch $32AC4 $11C40A0DRL #Pause between shots
%patch $32AE2 $11C40A0DRL #Shooting

#Spawn Spirogrip
%patch $127DC $2914W

%patch $32C54 $018DW $0189W  $0000W       $0000W $0001W        $0006W       $0040W   $0000W
               $11C409BCRL $11C40A0DRL  $090B17DCRL       $2932W

%patch $32C72 $018EW $018AW  $0000W       $0000W $0001W        $0006W       $0040W   $0000W
               $11C409BCRL $11C40A0DRL  $090B17DCRL       $2950W 

%patch $32C90 $018FW $018BW  $0000W       $0000W $0001W        $0006W       $0040W   $0000W
               $11C409BCRL $11C40A0DRL  $090B17DCRL       $296EW

%patch $32CAE $0190W $018CW  $0000W       $0000W $0001W        $0006W       $0040W   $0000W
               $11C409BCRL $11C40A0DRL  $090B17DCRL       $2914W

#Red's shot collision
%patch $32B00 $11C4193BRL #Robo Red's shot
%patch $32B1E $11C4193BRL #Robo Red's shot


#Animations
#Robo Red shoot
%patch $32A92 $0194W $0193W
%patch $32AB0 $0194W $0193W
%patch $32ACE $0194W $0193W

#Robo Red's shot
%patch $32AEC $0191W $0191W
%patch $32B0A $0191W $0191W


#Robo Red's shot smash
%patch $32B28 $0192W $0192W
%patch $32B46 $0192W $0192W

#After shooting
%patch $126B1 $2914W #Spirogrip move


%patch $126EE $C7 $47 $18 $0000W $EB $10 #Red's shots only move horizontally

#Red doesn't jiggle back and forth when shooting:
%patch $32ABC $0000W		#Remove pushback in shooting anim, compensate by also removing
%patch $12718 $00 $00		#Right movement when facing right
%patch $1271D $00 $00		#Left movement when facing left

#Shot spawn relative to Red:
%patch $126CE $0050W #2 tiles down from sprite top
%patch $126BD $00D0W #3.5 tiles right, when shooting left only

#Number of shots
%patch $12643 $0001W #When Keen lands near Red (10)
%patch $12680 $0001W #When shot by Keen (10)

#Shikadi

#original Robo Red
#%patch $32A74  $0184W $0183W  $0000W       $0000W $0001W        $0006W       $0040W   $0000W
#               $11C409BCRL  $11C40A0DRL  $090B17DCRL       $2734W

#Shikadi Stand
#%patch $33050  $0140W $0140W  $0000W       $0000W     $0001W        $0045W       $0000W   $0000W
#               $00000000L  $11C41403RL  $11C41538RL       $2E00W


##########
# Sparky #
##########
#Prepare to charge cycle (skip that)
%patch $323D0 $210AW #Sparky prepare to charge

###########
# Shelley #
###########



%patch $11AB6 $5F $5E $5D $CB #Shelley push Keen, don't explode
%patch $11ADF $10 #Shelley don't explode when shot by Keen

#Shelly walk
%patch $32756 $01B0W $01ACW $0000W $0000W $0001W $0008W $0080W $0000W
	      $00000000L $11020A7CRL $090B17DCRL $2434W


%patch $32774 $01B1W $01ADW $0000W $0000W $0001W $0008W $0080W $0000W
	      $00000000L $11020A7CRL $090B17DCRL $2452W


%patch $32792 $01B2W $01AEW $0000W $0000W $0001W $0008W $0080W $0000W
	      $00000000L $11020A7CRL $090B17DCRL $2470W


%patch $327B0 $01B3W $01AFW $0000W $0000W $0001W $0008W $0080W $0000W
	      $00000000L $11020A7CRL $090B17DCRL $2416W



###########
# Shikadi #
###########
#Shelley don't jump off platform edges
%patch $119B7 $90 $90

#shikadi standing animation has zapping sprites
%patch $33050 $0145W $0144W $0000W $0000W $0001W $0010W $0000W $0000W
	      $090B1710RL $11C41403RL $11C41538RL $2D88W


#Shelley jumping animation is now shikadi standing animation
%patch $327CE  $0144W $0145W
%patch $327EC  $0142W $0140W
%patch $3280A  $0142W $0140W
%patch $32828  $0143W $0141W


#Shelly Smashing Animation is now standing
%patch $32846 $0145W $0144W $0000W $0000W $0001W $0008W $0000W $0000W
	      $00000000L $11C41403RL $11C41538RL $2D88W #Shelly smash A
%patch $32864 $0145W $0144W $0000W $0000W $0001W $0008W $0000W $0000W
	      $00000000L $11C41403RL $11C41538RL $2D88W #Shelly smash B


#Shikadi behavour
%patch $3309C $11C412ECRL #seek keen when waiting
%patch $330BA $11C412ECRL

#walking Shikadi
%patch $330C8 $014CW $0148W  $0000W $0000W $0001W $0008W $0080W $0000W
	      $11C412ECRL $11C41403RL $11C41538RL $2DA6W

%patch $330E6 $014DW $0149W  $0000W $0000W $0001W $0008W $0080W $0000W
	      $11020986RL $11C41403RL $11C41538RL $2DC4W

%patch $33104 $014EW $014AW  $0000W $0000W $0001W $0008W $0080W $0000W
	      $11020986RL $11C41403RL $11C41538RL $2DE2W

%patch $33122 $014FW $014BW  $0000W $0000W $0001W $0008W $0080W $0000W
	      $11020986RL $11C41403RL $11C41538RL $2D88W



#Shelley Jump Collossion
%patch $327E2 $11C41403RL #Shelley walk (Prepare)
%patch $32800 $11C41403RL #Shelley walk (Jump)
%patch $3281E $11C41403RL #Shelley walk (Flip)
%patch $3283C $11C41403RL #Shelley walk (Fall

#Shelley Smash A
%patch $32862 $2D10W
#Shelley Smash B
%patch $32880 $2D10W

#Produce these when smashed
%patch $11B3F $0000W #Shelly smash smoke
%patch $11A5A $0000W #Spawn Shelley right fragment
%patch $11A8D $0000W #Spawn Shelley left fragment
%patch $3289E $0000W

#Strength
%patch $12EFA $0004W

#Shelley jump right
%patch $119DA $0020W #Width
%patch $119DF $FFC0W #Height

#Shelley jump left
%patch $11A03 $FFDFW #Width
%patch $11A08 $FFC0W #Height


#Shelley jump right if Keen is:
%patch $119CF $7E    #At or further than...
%patch $119CD $0600W #6 tile right of it AND
%patch $119D5 $7D    #At or closer than...
%patch $119D3 $0900W #9 tiles right of it


#Shelley jump left if Keen is:
%patch $119F8 $7D    #At or further than...
%patch $119F6 $FA00W #6 tile left of it AND
%patch $119FE $7E    #At or closer than...
%patch $119FC $F500W #9 tiles left of it

#%patch $327EC  $014CW $0148W  $0000W $0001W $0001W $0001W $0000W $0000W 
#	      $110209FARL $11C41403RL $090B17B5RL $24ACW

#%patch $32828  $014CW $0148W  $0000W $0001W $0001W $0001W $0000W $0000W 
#	      $110209FARL $11C41403RL $090B17B5RL $24E8W


########################
# Vitalin - Ship Parts #
########################
#What Kegs increase
%patch $C102 $6F58W

#################
# Status Window #
#################

%patch $308E8 "ITEMS" $00
%patch $30917 "PARTS" $00

################
# Yorp Statues #
################
#Q.E.D\Fuse appears on all levels

%patch $F10C $90 $90

#Q.E.D\Fuse action - invisible

%patch $334C6 $FFFFW $FFFFW $0001W $00000000L $0008W $0000W $0000W
              $00000000L    $0AAF1FB7RL       $11C418CBRL   $3186W

#Q.E.D\Fuse collision, if Keen touches not on level 15 play sound 3, do window, vanish

%patch $CAA7 $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $22
             $83 $3E $9E55W  $0F $74 $1B $B8 $0003W  $50 $9A $196E09EFRL
             $83 $C4 $02 $9A $06B9018BRL     $9A $174E0D56RL     $C7 $44 $1C
             $0000W  $5F $5E $5D $CB

#Fuse window, 4 messages, cache 5 bitmaps

%patch $6D1B  $55 $8B $EC $9A $196E0AFBRL     $B8 $2B7BRW $8A $16 $EC $6F $8E
              $C0 $26 $08 $16 $002CW  $8E $C0 $26 $08 $16 $002DW  $8E $C0 $26
              $08 $16 $002EW  $8E $C0 $26 $08 $16 $002FW  $8E $C0 $26 $08 $16
              $005BW  $33 $C0 $50 $9A $13A01848RL     $83 $C4 $02 $9A $1E000995RL
                      $B8 $0008W  $50 $B8 $001AW  $50 $9A $1A2B106ERL     $83
              $C4 $04 $83 $3E $6F68W  $06 $75 $1C $83 $2E $99 $9B $30 $B8 $002EW
                  $50 $FF $36 $46 $9E $A1 $9B $9B $03 $06 $99 $9B $50 $9A $1E000C75RL
                          $EB $60 $83 $3E $6F68W  $09 $75 $1C $83 $2E $99 $9B
              $30 $B8 $002CW  $50 $FF $36 $46 $9E $A1 $9B $9B $03 $06 $99 $9B
              $50 $9A $1E000C75RL     $EB $3D $83 $3E $6F68W  $02 $75 $1C $83
              $2E $99 $9B $30 $B8 $002FW  $50 $FF $36 $46 $9E $A1 $9B $9B $03
              $06 $99 $9B $50 $9A $1E000C75RL     $EB $1A $83 $2E $99 $9B $30
              $B8 $002DW  $50 $FF $36 $46 $9E $A1 $9B $9B $03 $06 $99 $9B $50
%patch $6DEB  $9A $1E000C75RL $83 $C4 $06 $83 $06 $9D $9B $0C $83 $3E $6F68W
                  $06 $75 $0E $B8 $3766W  $50 $9A $1A2B0EBBRL     $83 $C4 $02
              $EB $36 $83 $3E $6F68W  $09 $75 $0E $B8 $37C1W  $50 $9A $1A2B0EBBRL
                      $83 $C4 $02 $EB $21 $83 $3E $6F68W  $02 $75 $0E $B8 $37F8W
                  $50 $9A $1A2B0EBBRL     $83 $C4 $02 $EB $0C
              $B8 $18BBW  $50 $9A $1A2B0EBBRL     $83 $C4 $02 $9A $1E000A97RL
                  $B8 $001EW  $50 $9A $1F030ADFRL     $83 $C4 $02 $9A $155A08A5RL
                  $9A $155A0EDCRL $B8 $005BW  $50 $FF $36 $46 $9E $A1 $9B $9B
              $03 $06 $99 $9B $50 $9A $1E000C75RL     $83 $C4 $06 $9A $1E000A97RL
                  $B8 $001EW  $50 $9A $1F030ADFRL     $83 $C4 $02 $9A $155A08A5RL
              $9A $155A0EDCRL     $5D $CB

#Level 6

%patch $33AA6 "The teleporter in" $0A 
	      "the ice will send" $0A
              "you to the dark" $0A
              "side of Mars." $0A $00
              

#Level 9

%patch $33B01 "There's a hidden city." $0A  $0A
              "Look in the south!" $00
              
              	     
              
#Level 2

%patch $33B38 "It is too bad that" $0A
              "you cannot read the" $0A
              "Standard Galactic" $0A
              "Alphabet, human." $00

#Any other level


%patch $31BFB "You will need a" $0A
              "Raygun in the end," $0A
              "but not to shoot" $0A
              "the Vorticon..." $00
##########
# Levels #
##########
#First elevator shaft doesn't care where Keen is on map
%patch $F431 $90 $90


%patch $30605 "Exit to Mars" $00

#Level names
%patch $20040 "Mars" $00
              "Border Town" $00
              "Red Rock Shrine" $00
              "Treasury" $00
%patch $2006A "Capital City" $00
              "Pogo Shrine" $00
              "Second Red Rock Shrine" $00
              "Emerald City" $00
%patch $200A7 "Ice City" $00
              "Third Red Rock Shrine" $00
              "First Ice Shrine" $00
              "Fourth Red Rock Shrine" $00
%patch $200EE "Fifth Red Rock Shrine" $00
              "Red Maze City" $00
              "Secret City" $00
              "High Scores" $00
%patch $2012A "Ice Shrine" $00
              "Vorticon Commander's" $0A "Castle" $00

#Level name pointers
%patch $31AB4 $20000040RL #Mars
              $20000045RL #Border Town
              $20000051RL #Red Rock Shrine
              $20000061RL #Treasury
%patch $31AC4 $2000006ARL #Capital City
              $20000077RL #Pogo Shrine
              $20000083RL #Second Red Rock Shrine
              $2000009ARL #Emerald City
%patch $31AD4 $200000A7RL #Ice City
              $200000B0RL #Third Red Rock Shrine
              $200000C6RL #First Ice Shrine
              $200000D7RL #Fourth Red Rock Shrine
%patch $31AE4 $200000EERL #Fifth Red Rock Shrine
              $20000104RL #Red Maze City
              $20000112RL #Secret City
              $2000011ERL #High Scores
%patch $31AF4 $2000012ARL #Ice Shrine
              $20000135RL #Vorticon Commander's_Castle



#Level entry texts
%patch $20151 "kylie explores" $0A "Mars" $00
              "Kylie bursts into" $0A "the Border Town" $00
              "Kylie visits the" $0A "First Red Rock Shrine" $00
              "Kylie robs the" $0A "Treasury" $00
%patch $201C6 "Kylie travels to" $0A "the Capital City" $00
              "Kylie prays in the" $0A "Pogo Shrine" $00
              "Kylie crawls through the" $0A "Second Red Rock Shrine" $00
              "Kylie see her reflections" $0A "in the Emerald City" $00
%patch $20267 "Kylie slides through" $0A "the Ice City" $00
              "Kylie trots into the" $0A "Third Red Rock Shrine" $00
              "Kylie shivers along the" $0A "First Ice Shrine" $00
              "Kylie strides into the" $0A "Fourth Red Rock Shrine" $00
%patch $20315 "Kylie marches into the" $0A "Fifth Red Rock Shrine" $00
              "Kylie finds his way" $0A "through the" $0A "Red Maze City" $00
              "Kylie investigates the" $0A "Secret City" $00
              "Kylie enters the" $0A "High Scores" $00
%patch $2041C "Kylie slips through the" $0A "Second Ice Shrine" $00
              "Kylie bursts into the" $0A "Vorticon Commander's" $0A "Castle" $00

#Level entry pointers
%patch $31B18 $20000151RL #Keen explores_Mars
              $20000165RL #Keen bursts into_the Border Town
              $20000187RL #Keen visits the_First Red Rock Shrine
              $200001AERL #Keen robs the_Treasury
%patch $31B28 $200001C6RL #Keen travels to_the Capital City
              $200001E8RL #Keen prays in the_Pogo Shrine
              $20000207RL #Keen crawls through the_Second Red Rock Shrine
              $20000237RL #Keen sees his reflections_in the Emerald City
%patch $31B38 $20000267RL #Keen slides through_the Ice City
              $20000289RL #Keen trots into the_Third Red Rock Shrine
              $200002B4RL #Keen shivers along the_First Ice Shrine
              $200002DDRL #Keen strides into the_Fourth Red Rock Shrine
%patch $31B48 $20000315RL #Keen marches into the_Fifth Red Rock Shrine
              $20000342RL #Keen finds his way_through the_Red Maze City
              $20000370RL #Keen investigates the_Secret City
              $20000393RL #Keen enters the_High Scores
%patch $31B58 $2000041CRL #Keen slips through the_Second Ice Shrine
              $20000446RL #Keen bursts into the_Vorticon Commander's_Castle


#Scrolling Story
%patch $1FDE0 "Commander Kylie" $0A
"Marooned on Mars" $0A $0A
"Becky Blaze, sixteen" $0A
"year-old adventure" $0A
"has created an" $0A 
"interstellar starship" $0A $0A
"When she dons her" $0A
"brothers football" $0A
"helmet she" $0A 
"transforms into... " $0A $0A
"COMMANDER KYLIE" $0A 
"Defender of Earth!" $0A $00
#Allow 24 levels in Keen 5 v1.4:

#First increase the number of levels we can access from the map to maximum (+6)

%patch $D2C2 $18 #Number of levels enterable ($18 = 24)

%patch $8C20 $18 #Number of level song entries (24, see below)


#Terminator text palette:
%patch $304F8 $00 $02 $02 $12 $01 $01 $01 $01     #Dark colors
              $11 $11 $11 $11 $13 $13 $13 $13 $00 #Light colors (and border color)

#Terminator text palette 2, screen moves out:
%patch $30509 $00 $02 $02 $12 $01 $01 $01 $01     #Dark colors
              $11 $11 $11 $11 $13 $13 $13 $02 $00 #Light colors (and border color)

# Demo

#List length
%patch $3C05 $03


#Main menu actions list

%patch $3CB3 $0442W #3C12: Terminator sequence and title screen
%patch $3CB5 $0466W #3C36: Star wars story
%patch $3CB7 $047BW #3C4B: High score demo

#Keenwave patch file; Patch sounds Keen 5:
%patchfile $21C80 AUDIOHED.CK5	#Audio header
%patchfile $35EC4 AUDIODCT.CK5	#Audio dictionary

#This is the music played in each level:
#             VALUE   LEVEL                      MUSIC PLAYED            LEVEL No
#192 = 0 Marooned
#193 = 1 Blake Stone - Freedom
#194 = 2 Corridor 7 - L1 Var 
#195 = 3 Tight +Fit
#196 = 4 Duke Nukem II - I wish this game would never end #
#197 = 5 Corridor 7 - Level 5
#198 = 6 Major Stryker - Torpedo
#199 = 7 Blake Stone - Jungle
#200 = 8 Major Stryker - Soaring dizzy hights #
#201 = 9 Blake Stone - Gene Funk
#202 = A Blake Stone - Hiding
#203 = B Cosmo - Devo #
#204 = C Bio Menace - Crusing
#205 = D Bio Menace - Bayou
%patch $3067A $0000W  #Mars                      0
              $0001W  #Border Town              1
              $0002W  #Shrine 1                 2
              $0003W  #Treasury                 3
              $0004W  #Capital City             4
              $0005W  #Shrine Pogo              5
              $0006W  #Shrine 2                 6
              $0007W  #Emerald                  7
              $0008W  #Ice City                 8
              $0009W  #Shrine 3                 9
              $000AW  #Shrine Ice 1            10
              $000BW  #Shrine 4                11
              $000CW  #Shrine 5                12
              $000DW  #Maze                    13
              $000CW  #Ending                    (Fanfare)
              $0002W  #High Scores               (High Scores)             15
%patch $3069C $0001W  #Scrolling Story           (Armageddon Machine)
              $0000W  #Game Over                 (Came In)
              $0008W  #Help    


#Win game if Keen has four ship parts (That is, has won their levels, 4,8,17)
%patch $79F6 $83 $3E $6F22W  $00 $74 $57 $83 $3E $6F24W  $00 $74 $50 $83 $3E
             $6F2CW  $00 $74 $49 $83 $3E $6F3EW  $00 $74 $42 $83 $3E $9E55W
             $00 $75 $3B $C7 $06 $6F70W  $000FW  $EB $33

#Status WINDOW - Lives
%patch $30911 "KYLIE" $00 
			 
%end

